# Template File

Files of a template.

 - [GET /api/v1/organizations/{organizationId}/templates/{templateId}/files](https://docs.namirial.app/fr/products/namirialsignenterprise/openapi3/template-file/listtemplatefiles.md): Returns the files of the specified template.
 - [POST /api/v1/organizations/{organizationId}/templates/{templateId}/files](https://docs.namirial.app/fr/products/namirialsignenterprise/openapi3/template-file/uploadtemplatefile.md): Adds a new file to the specified template. The request body provides the file content (multipart/form-data) and, optionally, an initial document class assignment. Metadata values for the document clas
 - [PATCH /api/v1/organizations/{organizationId}/templates/{templateId}/files](https://docs.namirial.app/fr/products/namirialsignenterprise/openapi3/template-file/reordertemplatefiles.md): Reorders the files of the specified template.
 - [GET /api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}](https://docs.namirial.app/fr/products/namirialsignenterprise/openapi3/template-file/gettemplatefiledetail.md): Returns the properties of a specific template file, including the assigned document class and its metadata values. Does not include the file content.
 - [PUT /api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}](https://docs.namirial.app/fr/products/namirialsignenterprise/openapi3/template-file/updatetemplatefiledetail.md): Updates the properties of a specific template file. Currently supports assigning a document class with metadata values. Does not modify the file content.
 - [DELETE /api/v1/organizations/{organizationId}/templates/{templateId}/files/{fileId}](https://docs.namirial.app/fr/products/namirialsignenterprise/openapi3/template-file/deletetemplatefile.md): Deletes a specific file from the specified template.
